import { FormSOP } from '../../libappsop/formsop';
import { ListSOP } from '../../libappsop/listsop';
import { DialogDummy } from '../dialogs/dialog.dummy';

export class FormTransportationLaneLeg extends FormSOP {
  public static readonly title = 'Lanes';
  public listLaneLegs = new ListLaneLegs();

  public constructor() {
    super('FormTransportationLaneLeg');
  }
}

export interface ListLaneLegsColumn {
  Unit?: string;
  Lane?: string;
  Origin?: string;
  Destination?: string;
}

export class ListLaneLegs extends ListSOP<DialogDummy, ListLaneLegsColumn> {
  public static readonly title = 'Lanes';

  public constructor() {
    super('ListLaneLeg', new DialogDummy());
  }
}
